If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

[RTL][Settings]The ellipsis is shown at wrong side of long LTR name.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Settings
P2
normal
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: Sue, Unassigned)

Tracking

(Blocks: 1 bug)

unspecified
ARM
Gonk (Firefox OS)
Dependency tree / graph
Bug Flags:
in-moztrap +

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [2.2-nexus-5-l])

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8587860 [details]
ellipsis_in_download_list.png

[1.Description]:
[RTL][v2.2 & v3.0][Settings]The ellipsis is shown at left side of the name in download list if the file has a long LTR name.
See attachment:ellipsis_in_download_list.png

[2.Testing Steps]: 
1. Set your phone language to Arabic and there are some files with long LTR name in download list.
2. Launch Settings app. 
3. Select "Downloads". 
4. Observe the list. 

[3.Expected Result]: 
4. If the file with long LTR name, the ellipsis should be displayed at right side of the name, if the file with long RTL name, the ellipsis should be displayed at left side of the name.

[4.Actual Result]: 
4. The ellipsis is shown at left side of long LTR name.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150402002500
Gaia Revision          1ceca464053dee4a8bf10ea5abeef724d68c2ff2
Gaia Date              2015-04-01 09:49:30
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/427b4da96714
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150402.035057
Firmware Date          Thu Apr  2 03:51:09 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150402160202
Gaia Revision          62042ffcc8c6cca0f51ad23f5c2b979fc153b5a7
Gaia Date              2015-04-02 16:01:42
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/513265a4cbc2
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150402.192125
Firmware Date          Thu Apr  2 19:21:37 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
15744
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact]
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
(Reporter)

Updated

3 years ago
Whiteboard: MGSEI-RTL-3F
Priority: -- → P2
(Reporter)

Comment 1

2 years ago
Test case has been added in moztrap:
https://moztrap.mozilla.org/manage/case/15744/
Flags: in-moztrap+
(Reporter)

Updated

2 years ago
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
Whiteboard: MGSEI-RTL-3F → MGSEI-RTL-3F, [2.2-nexus-5-l]
QA Whiteboard: [rtl-impact][MGSEI-Triage+] → [rtl-impact][MGSEI-Triage+]MGSEI-RTL-3F
Whiteboard: MGSEI-RTL-3F, [2.2-nexus-5-l] → [2.2-nexus-5-l]
This issue can be reproduced on latest build of Aries KK_v2.5.
Rate:5/5
Device: AriesKK_v2.5
Build ID               20150814002719
Gaia Revision          39b121515ab8a8c3ea07f26d3ba1dd792e90217c
Gaia Date              2015-08-13 18:25:42
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/4e883591bb5dff021c108d3e30198a99547eed1e
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150813.235024
Firmware Date          Thu Aug 13 23:50:32 UTC 2015
Bootloader             s1
Blocks: 1181943
Created attachment 8679307 [details]
Ellipsis_Download list_v2.5.png

This issue cannot be reproduced on latest AriesKK&FlameKK v2.5 build.
Actual result:If the file with long LTR name in download list, the ellipsis is displayed at right side of the name.
See attachment:Ellipsis_Download list_v2.5.png
Device info:
AriesKK v2.5 build ID: 20151026223015
FlameKK v2.5 build ID: 20151026030217
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.